#
# commands-NEXTSTEP.make
#
# commands needed by the makefiles on NEXTSTEP
#

ECHO = echo
NULL = /dev/null

CD = cd
RM = /bin/rm
LN = /bin/ln
SYMLINK = /bin/ln -s
CP = /bin/cp
MV = /bin/mv
FASTCP = /usr/lib/fastcp
TAR = /usr/bin/gnutar
MKDIRS = /bin/mkdirs
CAT = /bin/cat
TOUCH = /usr/bin/touch
FIND = /usr/bin/find
STRIP = /bin/strip
CHMOD = /bin/chmod
CHOWN = /etc/chown
CHGRP = /bin/chgrp

ARCH_CMD = /usr/bin/arch
VERS_STRING = /usr/bin/vers_string
FIXPRECOMPS = /usr/bin/fixPrecomps
MERGEINFO = /usr/lib/mergeInfo
COMPILEHELP = /usr/bin/compileHelp
OFILE_LIST_TOOL = /usr/lib/ofileListTool
FRAMEWORK_TOOL = /usr/lib/frameworkFlags
NEWER = $(MAKEFILEDIR)/newer
DOTDOTIFY = $(MAKEFILEDIR)/dotdotify
CLONEHDRS = $(MAKEFILEDIR)/clonehdrs
MIG = /usr/bin/mig
MSGWRAP = /usr/bin/msgwrap
PSWRAP = /usr/bin/pswrap
RPCGEN = /usr/bin/rpcgen
YACC = /usr/bin/yacc
LEX = /usr/bin/lex
SED = /bin/sed
CC = /bin/cc
LD = $(CC)
AR = /bin/ar
RANLIB = /bin/ranlib

ifeq "$(LIBRARY_STYLE)" "STATIC"
LIBTOOL = /bin/libtool
else
LIBTOOL = $(CC) -dynamiclib
endif

JAVATOOL = /usr/bin/javatool
ifeq "$(JAVAC)" ""
JAVAC = /usr/local/BlackJava/bin/javac
endif
