#
# commands-WINDOWS.make
#
# commands needed by the makefiles on Windows
#

ECHO = echo
NULL = NUL

UTILDIR = $(NEXT_ROOT)/NextDeveloper/Executables/Utilities
DEVDIR = $(NEXT_ROOT)/NextDeveloper/Executables

CD = cd
RM = $(UTILDIR)/rm
LN = $(UTILDIR)/ln
SYMLINK = $(UTILDIR)/cp -rfp
CP = $(UTILDIR)/cp
MV = $(UTILDIR)/mv
FASTCP = $(DEVDIR)/fastcp
TAR = $(UTILDIR)/tar
MKDIRS = $(UTILDIR)/mkdirs
CAT = $(UTILDIR)/cat
TOUCH = $(UTILDIR)/touch
FIND = $(UTILDIR)/find
GREP = $(UTILDIR)/grep
CHMOD = $(UTILDIR)/chmod

ARCH_CMD = $(DEVDIR)/arch
VERS_STRING = $(DEVDIR)/vers_string
MERGEINFO = $(DEVDIR)/mergeInfo
COMPILEHELP = $(DEVDIR)/compileHelp
OFILE_LIST_TOOL = $(DEVDIR)/ofileListTool
FRAMEWORK_TOOL = $(DEVDIR)/frameworkFlags
NEWER = $(MAKEFILEDIR)/newer
DOTDOTIFY = $(MAKEFILEDIR)/dotdotify
CLONEHDRS = $(MAKEFILEDIR)/clonehdrs
MIG =
PSWRAP = $(DEVDIR)/pswrap
YACC = $(UTILDIR)/bison -y
LEX = $(UTILDIR)/flex
SED = $(UTILDIR)/sed
EGREP = $(UTILDIR)/egrep
AWK = $(UTILDIR)/gawk
CC = $(DEVDIR)/gcc
LD = $(CC)
AR =
NM = $(DEVDIR)/nm
RANLIB =
LIBTOOL = $(DEVDIR)/libtool
DUMP_SYMBOLS = $(DEVDIR)/link -dump -symbols

RC_CMD = $(DEVDIR)/rc.exe
REGGEN = $(DEVDIR)/regGen

JAVATOOL = $(NEXT_ROOT)/NextDeveloper/Executables/javatool.exe
ifeq "$(JAVAC)" ""
JAVAC = $(NEXT_ROOT)/NextLibrary/JDK-1.0.2/bin/javac.exe
endif
